%define module	django-mptt

Name:		python-%{module}
Version:	0.8.6
Release:	%mkrel 1
Summary:	Utilities for implementing Modified Preorder Tree Traversal
License:	BSD
Group:		Development/Python
URL:		https://github.com/django-mptt/django-mptt/
Source0:	https://pypi.io/packages/source/d/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pythonegg(2)(setuptools)
BuildRequires:	pythonegg(2)(django) >= 1.6

%description
Utilities for implementing Modified Preorder Tree Traversal (MPTT)
with your Django Model classes and working with trees of Model instances.

#---------------------------------------------------------------------------

%package -n	python3-%{module}
Summary:	Utilities for implementing Modified Preorder Tree Traversal
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pythonegg(3)(setuptools)
BuildRequires:	pythonegg(3)(django) >= 1.6

%description -n python3-%{module}
Utilities for implementing Modified Preorder Tree Traversal (MPTT)
with your Django Model classes and working with trees of Model instances.
This is the Python 3 build of %{module}.

#---------------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
rm -rf django_mptt.egg-info

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%py2_install

pushd %{py3dir}
%py3_install
popd

%check
%define enable_tests 0
%if %{enable_tests}
cd tests
sh runtests.sh
%endif

%files
%doc LICENSE NOTES README.rst docs
# list some files explicitly to avoid listing locale files twice
%{python2_sitelib}/mptt/*.py*
%{python2_sitelib}/mptt/static/
%{python2_sitelib}/mptt/templates/
%{python2_sitelib}/mptt/templatetags/
%{python2_sitelib}/django_mptt-%{version}-py%{python2_version}.egg-info
%exclude %{python2_sitelib}/tests/
# locale files
%lang(de) %{python2_sitelib}/mptt/locale/de/LC_MESSAGES/django.?o
%lang(dk) %{python2_sitelib}/mptt/locale/dk/LC_MESSAGES/django.?o
%lang(es) %{python2_sitelib}/mptt/locale/es/LC_MESSAGES/django.?o
%lang(es_AR) %{python2_sitelib}/mptt/locale/es_AR/LC_MESSAGES/django.?o
%lang(fr) %{python2_sitelib}/mptt/locale/fr/LC_MESSAGES/django.?o
%lang(mn) %{python2_sitelib}/mptt/locale/mn/LC_MESSAGES/django.?o
%lang(nb) %{python2_sitelib}/mptt/locale/nb/LC_MESSAGES/django.?o
%lang(pl) %{python2_sitelib}/mptt/locale/pl/LC_MESSAGES/django.?o
%lang(pt_BR) %{python2_sitelib}/mptt/locale/pt_BR/LC_MESSAGES/django.?o
%lang(ru) %{python2_sitelib}/mptt/locale/ru/LC_MESSAGES/django.?o

%files -n python3-%{module}
%doc LICENSE NOTES README.rst docs
# list some files explicitly to avoid listing locale files twice
%{python3_sitelib}/mptt/*py*
%{python3_sitelib}/mptt/static/
%{python3_sitelib}/mptt/templates/
%{python3_sitelib}/mptt/templatetags/
%{python3_sitelib}/django_mptt-%{version}-py%{python3_version}.egg-info
%exclude %{python3_sitelib}/tests/
# locale files
%lang(de) %{python3_sitelib}/mptt/locale/de/LC_MESSAGES/django.?o
%lang(dk) %{python3_sitelib}/mptt/locale/dk/LC_MESSAGES/django.?o
%lang(es) %{python3_sitelib}/mptt/locale/es/LC_MESSAGES/django.?o
%lang(es_AR) %{python3_sitelib}/mptt/locale/es_AR/LC_MESSAGES/django.?o
%lang(fr) %{python3_sitelib}/mptt/locale/fr/LC_MESSAGES/django.?o
%lang(mn) %{python3_sitelib}/mptt/locale/mn/LC_MESSAGES/django.?o
%lang(nb) %{python3_sitelib}/mptt/locale/nb/LC_MESSAGES/django.?o
%lang(pl) %{python3_sitelib}/mptt/locale/pl/LC_MESSAGES/django.?o
%lang(pt_BR) %{python3_sitelib}/mptt/locale/pt_BR/LC_MESSAGES/django.?o
%lang(ru) %{python3_sitelib}/mptt/locale/ru/LC_MESSAGES/django.?o


%changelog
* Mon Nov 28 2016 daviddavid <daviddavid> 0.8.6-1.mga6
+ Revision: 1070570
- new version: 0.8.6

* Wed May 04 2016 daviddavid <daviddavid> 0.8.4-1.mga6
+ Revision: 1009421
- new version: 0.8.4

* Fri Mar 04 2016 daviddavid <daviddavid> 0.8.3-1.mga6
+ Revision: 985448
- new version: 0.8.3
- update files list

* Mon Dec 21 2015 daviddavid <daviddavid> 0.8.0-1.mga6
+ Revision: 913207
- new version: 0.8.0
- update file list (add lang es_AR)

* Wed Oct 07 2015 daviddavid <daviddavid> 0.7.4-2.mga6
+ Revision: 886817
- rebuild for python 3.5
- use new python macros

* Sun Jun 21 2015 daviddavid <daviddavid> 0.7.4-1.mga6
+ Revision: 837910
- new version: 0.7.4
- add more docs and locale files

* Wed Oct 15 2014 umeabot <umeabot> 0.6.1-3.mga5
+ Revision: 742572
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 umeabot <umeabot> 0.6.1-2.mga5
+ Revision: 725922
- Mageia 5 Mass Rebuild

* Sun Jun 01 2014 daviddavid <daviddavid> 0.6.1-1.mga5
+ Revision: 630477
- remove previous Patch0 as it is fixed on upstream source
- new version: 0.6.1

* Sat May 31 2014 pterjan <pterjan> 0.6.0-5.mga5
+ Revision: 628573
- Rebuild for new Python

* Fri Apr 25 2014 daviddavid <daviddavid> 0.6.0-4.mga5
+ Revision: 618004
- fix rpmlint warning: "file-not-in-%%lang"
- fix list some files explicitly to avoid listing locale files twice
- update URL
- update doc files
- add support of python 3
- add Patch0 to fix runtests script on %%check section (and needed python-django14)
- remove unneeded BR on python-devel

* Tue Oct 22 2013 umeabot <umeabot> 0.6.0-3.mga4
+ Revision: 543410
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.6.0-2.mga4
+ Revision: 498373
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Oct 10 2013 nmartin <nmartin> 0.6.0-1.mga4
+ Revision: 494910
- Update to new version 0.6.0

* Mon Jun 03 2013 kharec <kharec> 0.5.5-1.mga4
+ Revision: 436230
- update to 0.5.5
- fix source0 as upstream now use tar.gz

* Sun Jan 13 2013 umeabot <umeabot> 0.4.2-2.mga3
+ Revision: 378680
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri May 06 2011 misc <misc> 0.4.2-1.mga1
+ Revision: 95247
- imported package python-django-mptt

